Subject: Re: bug#76105: bash_completion.sh: line 10: shopt: progcomp: invalid shell option name

From: Efraim Flashner <[email-masked]>
Date: Tue, 11 Feb 2025 17:17:51 +0200

On Fri, Feb 07, 2025 at 09:59:36AM -0800, Felix Lechner wrote:
> Hi Dariqq
> 
> On Fri, Feb 07 2025, Dariqq wrote:
> 
> > I [...] had no issues with logging in.
> 
> Actually, neither did I.  It is more accurate to write that my
> encrypted, FUSE-based home folder did not mount, which resulted in a
> shell with the "endpoint disconnected."
> 
> > The error comes from the greeter user using bash-minimal, everything
> > is fine when using the "normal" bash.
> 
> I also think that's it.  Thanks for your initiative!

Thank you both!

As it is possible to run Guix System without /bin/sh I ended up adding
bash as an input and testing both native and cross-builds to make sure
the correct bash was referred to.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted